<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 */

if (isset($user) && $user['id'] == $ank['id']) {
    if (isset($_GET['act']) && $_GET['act'] == 'create') {
        if (isset($_GET['ok']) && isset($_POST['name']) && isset($_POST['opis'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])), 1);

            if (utf8_strlen($name) < 3) {
                $err = lang('Короткое название');
            }

            if (utf8_strlen($name) > 32) {
                $err = lang('Название не должно быть длиннее 32-х символов');
            }

            $name = $db->safesql($name);
            $msg = $_POST['opis'];

            if (utf8_strlen($msg) > 256) {
                $err = lang('Длина описания превышает предел в 256 символов');
            }

            $msg = $db->safesql($msg);

            $q = $db->super_query("SELECT COUNT(*) as count FROM `gallery` WHERE `id_user` = '$ank[id]' AND `name` = '$name'");
            if ($q['count'] != 0) {
                $err = lang('Альбом с таким названием уже существует');
            }

            if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass', 'auth'))) {
                $access = $_POST['access'];
            } else {
                $access = 'all';
            }
            if ($access == 'pass') {
                if (utf8_strlen($_POST['key']) < 1) {
                    $err[] = lang('Введите пароль');
                }

                if (utf8_strlen($_POST['key']) > 16) {
                    $err[] = lang('Пароль слишком длинный');
                }

                $password = $_POST['key'];
            } else {
                $password = NULL;
            }

            if (!isset($err)) {
                $db->query("INSERT INTO `gallery` (`opis`, `time_create`, `id_user`, `name`, `time`, `access`, `password`) values('$msg', '$time', '$ank[id]', '$name', '$time', '$access', '$password')");
                $id = $db->insert_id();

                $_SESSION['message'] = lang('Альбом успешно создан');
                header("Location: " . DIR_FOTO . "$ank[id]/$id/");
                exit();
            }
            unset($access);
        }

        $access = 'all';

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_FOTO . "'>" . lang('Фотоальбомы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_FOTO . "$ank[id]/'>" . lang('Альбомы') . " $ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новый альбом');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' name='new' action='?act=create&amp;ok' method='post'>";
        $doc->Input('name', 'Название альбома');
        $doc->Textarea('opis', 'Описание альбома');

        echo "<b>" . lang('Кому доступен альбом') . "?</b><br />";
        $doc->Radio('access', 'Всем', 'all', "" . ($access == 'all' ? " checked='checked'" : null) . "", 'unlock');
        $doc->Radio('access', 'Только мне', 'only_me', "" . ($access == 'only_me' ? " checked='checked'" : null) . "", 'lock');
        $doc->Radio('access', 'Только авторизованным', 'auth', "" . ($access == 'auth' ? " checked='checked'" : null) . "", 'user');
        $doc->Radio('access', 'Только друзьям', 'friends', "" . ($access == 'friends' ? " checked='checked'" : null) . "", 'users');
        $doc->Radio('access', 'Только по паролю', 'pass', "" . ($access == 'pass' ? " checked='checked'" : null) . "", 'key');
        $doc->Input('key', 'Пароль альбома', 16);
        echo "<br />";
        $doc->Button('btn btn-primary btn-sm', 'create', null, 'Создать альбом');
        $doc->Link('btn btn-secondary btn-sm', '?', null, 'Отмена');

        unset($access);
        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
}

